/* Memory banks for MC9S12NE64 as per EB386/D and AN2548 */

MEMORY
{
	/* for ethernet buffers, 0x200 * 2 rx + 0x200 * 1 tx */
  page0  (rx) : ORIGIN = 0x2600, LENGTH = 256		/* 0x2600 -> 0x2700 */

  eeprom (rx) : ORIGIN = 0x0800, LENGTH = 2K		/* 0x0800 -> 0x0fff */
  /* non-banked memory access (all addresses are VMA) */
  text   (rx) : ORIGIN = 0x4000, LENGTH = 16K		/* 0x3e */
  common (rx) : ORIGIN = 0xf800, LENGTH = 2K		/* 0x3f last 2k */
							/* only 2k (bootloader!) */
  data        : ORIGIN = 0x2700, LENGTH = 6400		/* RAM (0x2700 - 0x4000)  */

  flashwindow (rx) : ORIGIN = 0x8000, LENGTH = 16K	/* 0x8000 -> 0xbfff */

  /* banked memory access (all addresses are VMA) */
  bank0 (rx) : ORIGIN = 0x100000, LENGTH = 16K		/* 0x3C */
  bank1 (rx) : ORIGIN = 0x104000, LENGTH = 16K		/* 0x3D */
  bank2  (rx) : ORIGIN = 0xc000, LENGTH = 14208		/* 0x3f unused prot*/
}

/* Setup the stack at the top of the data memory bank (RAM) */
PROVIDE (_stack = 0x4000);
PROVIDE (_io_ports = 0);
